Intents
Update an Intent
Update an Intent in a Flow. Allows modifying of an Intent’s name, description, rules, tags, and status. You can also enable or disable the Intent, mark it as a reject Intent, adjust child/parent intent relationships, and override default reply settings.
PATCH
/
v2.0
/
flows
/
{flowId}
/
intents
/
{intentId}
Update an Intent
curl --request PATCH \
--url https://api-trial.cognigy.ai/new/v2.0/flows/{flowId}/intents/{intentId} \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"name": "OrderFood",
"description": "Intent to order food",
"condition": "<string>",
"rules": [
"<string>"
],
"isRejectIntent": true,
"isDisabled": true,
"tags": [
"<string>"
],
"confirmationSentences": [
"<string>"
],
"disambiguationSentence": "<string>",
"data": {},
"localeReference": "<string>",
"childFeatures": false,
"parentIntentId": "<string>",
"analyticsLabel": "<string>"
}
'import requests
url = "https://api-trial.cognigy.ai/new/v2.0/flows/{flowId}/intents/{intentId}"
payload = {
"name": "OrderFood",
"description": "Intent to order food",
"condition": "<string>",
"rules": ["<string>"],
"isRejectIntent": True,
"isDisabled": True,
"tags": ["<string>"],
"confirmationSentences": ["<string>"],
"disambiguationSentence": "<string>",
"data": {},
"localeReference": "<string>",
"childFeatures": False,
"parentIntentId": "<string>",
"analyticsLabel": "<string>"
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'OrderFood',
description: 'Intent to order food',
condition: '<string>',
rules: ['<string>'],
isRejectIntent: true,
isDisabled: true,
tags: ['<string>'],
confirmationSentences: ['<string>'],
disambiguationSentence: '<string>',
data: {},
localeReference: '<string>',
childFeatures: false,
parentIntentId: '<string>',
analyticsLabel: '<string>'
})
};
fetch('https://api-trial.cognigy.ai/new/v2.0/flows/{flowId}/intents/{intentId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"type": "Bad Request",
"title": "Bad Request Error",
"status": 400,
"detail": "Validation failed. Missing payload.",
"instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
"code": 1000,
"traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
"details": {}
}{
"type": "Unauthorized",
"title": "Unauthorized Error",
"status": 401,
"detail": "<string>",
"instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
"code": 401,
"traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
"details": {}
}{
"type": "Payment Required",
"title": "Payment Required Error",
"status": 402,
"detail": "Validation failed. Missing payload.",
"instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
"code": 402,
"traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
"details": {}
}{
"type": "Forbidden",
"title": "Forbidden Error",
"status": 403,
"detail": "<string>",
"instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
"code": 1000,
"traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
"details": {}
}{
"type": "Not Found",
"title": "Not Found Error",
"status": 404,
"detail": "<string>",
"instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
"code": 1000,
"traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
"details": {},
"logLevel": "error"
}{
"type": "Method Not Allowed",
"title": "Method Not Allowed Error",
"status": 405,
"detail": "<string>",
"instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
"code": 1000,
"traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
"details": {}
}{
"type": "Conflict",
"title": "Conflict Error",
"status": 409,
"detail": "<string>",
"instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
"code": 1004,
"traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
"details": {}
}{
"type": "Payload Too Large",
"title": "Payload Too Large Error",
"status": 413,
"detail": "<string>",
"instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
"code": 1000,
"traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
"details": {}
}{
"type": "Internal Server Error",
"title": "Internal Server Error",
"status": 500,
"detail": "<string>",
"instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
"code": 1000,
"traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
"details": {}
}{
"type": "Not Implemented",
"title": "Not Implemented Error",
"status": 501,
"detail": "<string>",
"instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
"code": 1009,
"traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
"details": {}
}{
"type": "Bad Gateway",
"title": "Bad Gateway Error",
"status": 502,
"detail": "<string>",
"instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
"code": 1000,
"traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
"details": {}
}{
"type": "Service Unavailable",
"title": "Service Unavailable Error",
"status": 503,
"detail": "<string>",
"instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
"code": 503,
"traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
"details": {}
}{
"type": "Gateway Timeout",
"title": "Gateway Timeout Error",
"status": 504,
"detail": "<string>",
"instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
"code": 1000,
"traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
"details": {}
}Authorizations
APIKeyHeaderAPIKeyQueryParamCXoneTokenHeaderOAuth2
Supply the API Key in the HTTP-Header
Headers
The Accept header specifies the media type that the client expects in the response. Available options: application/json, application/hal+json, application/xml, text/xml, text/csv. The default value is application/json.
Available options:
application/json, application/hal+json, application/xml, text/xml, text/csv Path Parameters
The unique identifier for the Flow.
Required string length:
24Pattern:
^[a-z0-9]{24}$The unique identifier for the Intent.
Required string length:
24Pattern:
^[a-z0-9]{24}$Body
application/json
Example:
"OrderFood"
Example:
"Intent to order food"
Required string length:
24Pattern:
^[a-z0-9]{24}$Example:
false
Available options:
parents, children Required string length:
24Pattern:
^[a-z0-9]{24}$Toggle overriding the flow setting for using default replies as training examples
Available options:
on, off, useFlowSettings Response
Successfully updated Intent
Last modified on July 22, 2026
Previous
Localize an IntentAdds a localized version of an Intent in a Flow. You can specify the target Locale, optionally inherit content from another Locale, and provide translation settings to adapt the Intent for different languages or regions.
Next
⌘I
Update an Intent
